openSUSE Security Update : lcms2 (openSUSE-2018-1327)

Medium Nessus Plugin ID 118489

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for lcms2 fixes the following issues :

- CVE-2018-16435: Heap-based buffer overflow via a crafted file in the second argument to cmsIT8LoadFromFile (bsc#1108813)

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected lcms2 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1108813

Plugin Details

Severity: Medium

ID: 118489

File Name: openSUSE-2018-1327.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2018/10/29

Modified: 2018/11/06

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS v3.0

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:lcms2, p-cpe:/a:novell:opensuse:lcms2-debuginfo, p-cpe:/a:novell:opensuse:lcms2-debugsource, p-cpe:/a:novell:opensuse:liblcms2-2, p-cpe:/a:novell:opensuse:liblcms2-2-32bit, p-cpe:/a:novell:opensuse:liblcms2-2-32bit-debuginfo, p-cpe:/a:novell:opensuse:liblcms2-2-debuginfo, p-cpe:/a:novell:opensuse:liblcms2-devel, p-cpe:/a:novell:opensuse:liblcms2-devel-32bit, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/10/27

Reference Information

CVE: CVE-2018-16435